function killerrors() { 
return true; 
} 
 window.onerror = killerrors; 
var datalist={
		"GDP":{"title":'国内生产总值(GDP)',"content":'<b>定义：</b>国内生产总值，Gross Domestic Product，简称GDP，是指在一定时期内（一个季度或一年），一个国家或地区的经济中所生产出的全部最终产品和劳务的价值，常被公认为衡量国家经济状况的最佳指标。<br />            <b>重要性：</b>非常高：国内生产总值GDP是核算体系中一个重要的综合性统计指标，也是中国新国民经济核算体系中的核 心指标。它反映一国（或地区）的经济实力和市场规模。<br />            <b>数据来源：</b>国家统计局'},
		"CPI":{"title":'居民消费价格指数(CPI)',"content":'<b>定义：</b>消费物价指数，英文缩写为CPI，是根据与居民生活有关的产品及劳务价格统计出来的物价变动指标，通常作为观察通货膨胀水平的重要指标。<br />            <b>重要性：</b>非常高：消费者物价指数（CPI）是金融市场的一个热门的经济指标。消费者物价指数决定着消费者花费多少来购买商品和服务，左右着商业经营的成本。而且，消费者物价指数影响制定政府的财政政策、金融政策。<br />            <b>数据来源：</b>国家统计局  '},
		"PPI":{"title":'工业品出厂价格指数(PPI)',"content":'<b>定义：</b>工业品出厂价格指数是反映全部工业产品出厂价格总水平的变动趋势和程度的相对数。<br />            <b>重要性：</b>非常高：工业品出厂价格指数是衡量工业企业产品出厂价格变动趋势和变动程度的指数，是反映某一时期生产领域价格变动情况的重要经济指标，也是制定有关经济政策和国民经济核算的重要依据。<br />            <b>数据来源：</b>国家统计局 '},
		"PMI":{"title":'采购经理指数(PMI)',"content":'<b>定义：</b>衡量制造业在生产、新订单、商品价格、存货、雇员、订单交货、新出口订单和进口等八个方面状况的指数。<br />            <b>重要性：</b>非常高：是经济先行指标中一项非常重要的附属指标，具有其高度的时效性。目前全球已有20多个国家建立了PMI体系，有关机构已开始建立全球指数和欧元区指数，PMI指数及其商业报告已成为世界经济运行活动的重要评价指标和世界经济变化的晴雨表。<br />            <b>数据来源：</b>中国物流与采购联合会网站 '},
		"FXSS":{"title":'房屋销售价格指数',"content":'<b>定义：</b>房屋销售价格指数是反映一定时期房屋销售价格变动程度和趋势的相对数，它通过百分数的形式来反映房价在不同时期的涨跌幅度。包括商品房、公有房屋和私有房屋各大类房屋的销售价格的变动情况。<br />            <b>重要性：</b>―般：根据房价指数可以很直观的观察市场情况，直接根据点数就知道全国和各地的房价情况。借以知道各地的房价相对自己的稳定市场情况整体处于什么样的状况。<br />            <b>数据来源：</b>国家统计局'},
		"XFXSS":{"title":'70个大中城住宅销售价格指数',"content":'<b>定义：</b>70个大中城市住宅销售价格指数是反映一定时期房屋销售价格变动程度和趋势的相对数，它通过百分数的形式来反映房价在不同时期的涨跌幅度。包括商品房、公有房屋和私有房屋各大类房屋的销售价格的变动情况。<br />            <b>重要性：</b>―般：根据房价指数可以很直观的观察市场情况，直接根据点数就知道全国和各地的房价情况。借以知道各地的房价相对自己的稳定市场情况整体处于什么样的状况。<br />            <b>数据来源：</b>国家统计局'},
		"GYSD":{"title":'工业增加值增长',"content":'<b>定义：</b>是指工业企业在报告期内以货币形式表现的工业生产活动的最终成果，是指工业企业在一定时期内工业生产活动创造的价值，是国内生产总值的组成部分。公式： 工业增加值=固定资产折旧+劳动者报酬+生产税净值+营业盈余。<br />            <b>重要性：</b>较高：增加值是国民经济核算的一项基础指标。各部门增加值之和即是国内生产总值，它反映的是一个国家（地区）在一定期时期内所生产的和提供的全部最终产品和服务的市场价值的总和，同时也反映了生产单位或部门对国内生产总值的贡献。因此，建立增加值统计，将为计算国内生产总值提供可靠依据。计算方法有生产法和收入法。<br />            <b>数据来源：</b>国家统计局'},
		"QYXX":{"title":'企业景气及企业家信心指数',"content":'<b>定义：</b>企业景气指数（企业综合生产经营景气指数）：是根据企业负责人对本企业综合生产经营情况的判断与预期而编制的指数，用以综合反映企业的生产经营状况。企业家信心指数综合反映企业家对宏观经济的看法和信心。<br /><b>重要性：</b>较高：增加值是国民经济核算的一项基础指标。各部门增加值之和即是国内生产总值，它反映的是一个国家（地区）在一定期时期内所生产的和提供的全部最终产品和服务的市场价值的总和，同时也反映了生产单位或部门对国内生产总值的贡献。因此，建立增加值统计，将为计算国内生产总值提供可靠依据。计算方法有生产法和收入法。<br /><b>数据来源：</b>国家统计局'},
		"QYZP":{"title":'企业商品价格指数',"content":'<div class="DataTxt">        	<b>定义：</b>CGPI的前身是国内批发物价指数(Wholesale Price Index，简称WPI)，指数编制始于1994年1月。是反映国内企业之间物质商品集中交易价格变动的统计指标，是比较全面的测度通货膨胀水平和反映经济波动的综合价格指数。CGPI调查是经国家统计局批准、由中国人民银行建立并组织实施的一项调查统计制度。<br />            <b>重要性：</b>一般：对物价形势判断和宏观经济监测发挥了积极作用，为中央银行制定、调整货币政策提供了全面、及时反映我国币值稳定状况的价格指数指标。<br />            <b>数据来源：</b>中国人民银行        '},
		"CCI":{"title":'消费者信心指数(CCI)',"content":'<div class="DataTxt">        	<b>定义：</b>是反映消费者信心强弱的指标，是综合反映并量化消费者对当前经济形势评价和对经济前景、收入水平、收入预期以及消费心理状态的主观感受，是预测经济走势和消费趋向的一个先行指标，是监测经济周期变化不可缺少的依据。<br />            <b>重要性：</b>一般：消费者信心指数主要是为了解消费者对经济环境的信心强弱程度，反映消费者对经济的看法以及购买意向。 消费者对经济现状和就业市场的评价，还包括对未来经济和就业市场的预期，以及有关家庭收入情况和是否计划购买房子、汽车等消费品的问题。<br />            <b>数据来源：</b>国家统计局        '},
		"XFP":{"title":'社会消费品零售总额',"content":'<div class="DataTxt">        	<b>定义：</b>指批发和零售业、住宿和餐饮业以及其他行业直接售给城乡居民和社会集团的消费品零售额。<br />            <b>重要性：</b>一般：社会消费品零售总额所计量的是各种经济类型的商业由于经济的发展和社会的进步，特别是社会主义市场经济的建立，商品生产和商品交换的领域进一步扩大，用以确立和描述各类消费品市场对居民和社会集团出售商品总和的商品零售额指标的口径范围也作了相应的调整。<br />            <b>数据来源：</b>国家统计局        '},
		"HGJCK":{"title":'海关进出口增减情况一览表',"content":'<div class="DataTxt">        	<b>定义：</b>指实际进出我国国境的货物总金额。包括对外贸易实际进出口货物，来料加工装配进出口货物，国家间、联合国及国际组织无偿援助物资和赠送品，华侨、港澳台同胞和外籍华人捐赠品，租赁期满归承租人所有的租赁货物，进料加工进出口货物，边境地方贸易及边境地区小额贸易进出口货物(边民互市贸易除外)，中外合资企业、中外合作经营企业、外商独资经营企业进出口货物和公用物品，到、离岸价格在规定限额以上的进出口货样和广告品(无商业价值、无使用价值和免费提供出口的除外)，从保税仓库提取在中国境内销售的进口货物，以及其他进出口货物。<br />            <b>重要性：</b>较高：进出口总额用以观察一个国家在对外贸易方面的总规模。我国规定出口货物按离岸价格统计，进口货物按到岸价格统计<br />            <b>数据来源：</b>国家统计局        '},
		"HJWH":{"title":'外汇和黄金储备',"content":'<div class="DataTxt">        	<b>定义：</b>外汇又称为外汇存底，是指一国政府所持有的国际储备资产中的外汇部分，即一国政府保有的以外币表示的债权。是一个国家货币当局持有并可以随时兑换外国货币的资产。黄金储备：指一国货币当局持有的，用以平衡国际收支，维持或影响汇率水平，作为金融资产持有的黄金。<br />            <b>重要性：</b>一般<br />            <b>数据来源：</b>国家外管局        '},
		"FDI":{"title":'外商直接投资(FDI)',"content":'<div class="DataTxt">        	<b>定义：</b>外商直接投资指外国企业和经济组织或个人(包括华侨、港澳台胞以及我国在境外注册的企业)按我国有关政策、法规，用现汇、实物、技术等在我国境内开办外商独资企业、与我国境内的企业或经济组织共同举办中外合资经营企业、合作经营企业或合作开发资源的投资(包括外商投资收益的再投资)，以及经政府有关部门批准的项目投资总额内企业从境外借入的资金。<br />            <b>重要性：</b>一般<br />            <b>数据来源：</b>国家外管局        '},
		"GPJYTJ":{"title":'全国股票交易统计表',"content":''},
		"GPZHTJ":{"title":'股票账户统计表',"content":'<div class="DataTxt">        	<b>定义：</b>股票账户：指投资者在我公司上海、深圳分公司开立的人民币普通股票账户(简称A股账户)和人民币特种股票账户(简称B股账户)；除非另有说明，否则不包括投资者在我深圳分公司开立的股份转让账户(俗称“三板账户”)。开户总数：指截止到期末投资者累计开立的股票账户或基金账户的数量。销户总数：指截止到期末投资者已办理了销户手续和已被清理的股票账户或基金账户的数量。期末账户数：指截止到期末投资者可以在市场中使用的股票账户或基金账户的数量，它等于开户总数减去销户总数。新增开户数：指一定时期内投资者新开立的股票账户或基金账户的数量。新销户数：指一定时期内投资者新销的股票账户或基金账户的数量。期末有效账户数：指除去期末休眠账户的期末股票账户数。<br />            <b>重要性：</b>较高<br />            <b>数据来源：</b>中国证券登记结算有限责任公司        '},
		"CZSR":{"title":'财政收入',"content":'<div class="DataTxt">        	<b>定义：</b>全国财政收入，是指政府为履行其职能、实施公共政策和提供公共物品与服务需要而筹集的一切资金的总和。全国财政收入表现为政府部门在一定时期内（一般为一个财政年度）所取得的货币收入。<br />            <b>重要性：</b>一般：全国财政收入是衡量一国政府财力的重要指标，政府在社会经济活动中提供公共物品和服务的范围和数量，在很大程度上决定于全国财政收入的充裕状况。<br />            <b>数据来源：</b>财政部        '},
		"SSSR":{"title":'全国税收收入',"content":'<div class="DataTxt">        	<b>定义：</b>国家凭借其政治权力，依据法定标准，从单位和个人无偿取得的一种财政收入。税收历来是国家财政收入的主要来源。<br />            <b>重要性：</b>一般<br />            <b>数据来源：</b>财政部        '},
		"XZXD":{"title":'新增信贷',"content":'<div class="DataTxt">        	<b>定义：</b>借款企业第一次向这家银行贷款，就叫新增贷款。假如贷款到期了，企业正常偿还了这笔贷款后，再次向银行申请贷款，这样还叫新增贷款。假如贷款到期了，企业不能正常偿还这笔贷款，先银行提出再借第二笔贷款用以偿还第一笔贷款的话，叫借新还旧。<br />            <b>重要性：</b>高：“信贷”即信用贷款，是指以借款人的信誉发放的贷款，借款人不需要提供担保。其特征就是债务人无需提供抵押品或第三方担保仅凭自己的信誉就能取得贷款，并引以借款人信用程度作为还款保证的。这种信用贷款是我国银行长期以来的主要放款方式。由于这种贷款方式风险较大，一般要对借款方的经济效益、经营管理水平、发展前景等情况进行详细的考察，以降低风险。<br />            <b>数据来源：</b>中国人民银行        '},
		"CJLL":{"title":'银行间拆借利率',"content":'<div class="DataTxt">        	<b>定义：</b>银行间同业拆借利率(SHIBOR)采用报价制度，以拆借利率为基础，即参与银行每天对各个期限的拆借品种进行报价，对报价进行加权平均处理后，公布各个期限的平均拆借利率即为SHIBOR利率。<br />            <b>重要性：</b>重要<br />            <b>数据来源：</b>中国人民银行        '},
		"WBCK":{"title":'本外币存款',"content":'<div class="DataTxt">        	<b>定义：</b>人民币是本位币，其他国家货币的都是外币。以上币种在国内金融机构的存款统称本外币存款。<br />            <b>重要性：</b>一般<br />            <b>数据来源：</b>中国人民银行        '},
		"WBDK":{"title":'外汇贷款',"content":'<div class="DataTxt">        	<b>定义：</b>外汇贷款（Foreign Exchange Loans）是银行以外币为计算单位向企业发放的贷款。外汇贷款有广义和狭义之分，狭义的外汇贷款，仅指我国银行运用从境内企业、个人吸收的外汇资金，贷放于境内企业的贷款；广义的外汇贷款，还包括国际融资转贷款，即包括我国从国外借人，通过国内外汇指定银行转贷于境内企业的贷款。<br />            <b>重要性：</b>一般：外汇贷款是商业银行经营的一项重要资产业务，是商业银行运用外汇资金，强化经营机制，获取经济效益的主要手段，也是银行借以联系客户的一条主要途径。<br />            <b>数据来源：</b>中国人民银行        '},
		"HBGYL":{"title":'货币供应量',"content":'<div class="DataTxt">        	<b>定义：</b>是指一国在某一时期内为社会经济运转服务的货币存量，它由包括中央银行在内的金融机构供应的存款货币和现金货币两部分构成。世界各国中央银行货币估计口径不完全一致，但划分的基本依据是一致的，即流动性大小。<br/>M0:流通中的现金；<br/>M1:M0+企业活期存款+机关团体部队存款+农村存款+个人持有的信用卡类存款；<br/>M2:M1+城乡居民储蓄存款+企业存款中具有定期性质的存款+外币存款+信托类存款；<br/>M3:M2+金融债券+商业票据+大额可转让存单等。<br />            <b>重要性：</b>高：中央银行对货币供应量的调控机制，也称中央银行金融宏观调控机制，它是指中央银行为控制货币供应量和其他宏观金融变数而掌握的各种货币政策工具，并通过货币政策工具作用于货币政策中介指标，然后再通过货币政策中介指标的达到其政策目标和各种重任的完整体系。<br />            <b>数据来源：</b>中国人民银行        '},
		"CKZBJ":{"title":'存款准备金率调整一览',"content":'<div class="DataTxt">        	<b>定义：</b>存款准备金，也称为法定存款准备金或存储准备金（Deposit reserve），是指金融机构为保证客户提取存款和资金清算需要而准备的在中央银行的存款。中央银行要求的存款准备金占其存款总额的比例就是存款准备金率。<br />            <b>重要性：</b>高：中央银行通过调整存款准备金率。可以影响金融机构的信贷扩张能力，从而间接调控货币供应量。<br />            <b>数据来源：</b>中国人民银行        '},
		"YHLL":{"title":'利率调整一览',"content":'<div class="DataTxt">        	<b>定义：</b>表示一定时期内利息量与本金的比率，通常用百分比表示，按年计算则称为年利率。其计算公式是：利息率= 利息量 ÷ 本金÷时间×100%<br />            <b>重要性：</b>重要<br />            <b>数据来源：</b>中国人民银行        '},
		"CPY":{"title":'成品油价格调整一览',"content":''}
	};
function loaddatatable1(divid,temp,tid,num,page,order,sort,w,field,loadpage,path)
{
  var url = 'http://app.cnfol.com/dataapi/index.php/welcome/table/'+temp+'/'+tid+'/'+num+'/'+page+'/'+order+'/'+sort+'/'+w+'/'+field+'/'+loadpage+'/'+divid+'/'+path+'?jsoncallback=?';
  $.getJSON(
		   url,
			function(json){
			  $.prompt(json,{ buttons: { close: true} });
			}
		)
 }
 
 function loadfxmore(key)
 {
 loaddatatable1('data','XFXSS_INFO','12','all','1','id_11','asc','time like \''+key+'\'','0','1','hgsy');
 }

function paixu(dataarr){
	var dd=[];
	for(var i=dataarr.length-1;i>=0;i--){
		dd.push(dataarr[i]);
	}
	return dd;
}
function loaddatatable(divid,temp,tid,num,page,order,sort,w,field,loadpage,path)
{
  $('#'+divid).html('loading...');
  var url = 'http://app.cnfol.com/dataapi/index.php/welcome/table/'+temp+'/'+tid+'/'+num+'/'+page+'/'+order+'/'+sort+'/'+w+'/'+field+'/'+loadpage+'/'+divid+'/'+path+'?jsoncallback=?';
  $.getJSON(
		   url,
			function(json){
			  $('#'+divid).html(json);
			}
		)
 }
 
function xzxd(){
	 var temptr=[],tempdata1=[],temptitle=[];
	  $("#datacon").find("tr").each(function (index) {
	  var tr =$(this); 
	  if(index>1){
		  temptitle.push($("td:eq(0)",tr).html());
		  tempdata1.push(parseFloat($("td:eq(1)",tr).html()));
		  if(index<=9){
		  temptr.push('<tr>');
		  temptr.push('<td>'+$("td:eq(0)",tr).html()+'</td>');
		  temptr.push('<td>'+$("td:eq(1)",tr).html()+'</td>');
		  temptr.push('<td>'+$("td:eq(2)",tr).html()+'</td>');
		  temptr.push('</tr>');
		  }
	  }
	  });
	   temptitle=paixu(temptitle);
	   tempdata1=paixu(tempdata1);
	  $("#xindtable").find("tbody").html(temptr.join(""));
	  var xd = new Highcharts.Chart({
			chart: {
				renderTo: 'xd',
				defaultSeriesType: 'line',
				margin: [50, 170, 60, 80],
				min:'0'
			},
			yAxis: {
				title: {
					text: ''
				},
				labels: {
					style: {
						color: '#000000'
					}
				},					
				plotLines: [{
					value: 0,
					width: 1,
					color: '#808080'
				}]
			},
			tooltip: {
				formatter: function() {
		                return '<b>'+ this.series.name +'</b><br/>'+
						this.x +': '+ this.y +'';
				}
			},
			legend: {
				layout: 'vertical',
				style: {
					left: 'auto',
					bottom: 'auto',
					right: '10px',
					top: '40px'
				},
	       	itemStyle: {
	              color: "#000000"
	          }
			},	
			title: {
				text: '<b>\u56fd\u5185\u751f\u4ea7\u603b\u503c(GDP)(\u4ebf\u5143)</b>',
				style: {
					color:"#000000",
					margin: '10px 100px 0 0' // center it
				}
			},
			xAxis: {
				categories: 
					temptitle,
				labels: {
					rotation: -30,	align: 'right',	
					style: { font: 'normal 13px Verdana, sans-serif'}}
					},
				series: [
				    {name: '\u5f53\u6708(\u4ebf\u5143)',data: tempdata1}
					]			
					});  
}
function cpi(){
	 var temptr=[],tempdata1=[],tempdata2=[],tempdata3=[],temptitle=[];
	  $("#data").find("tr").each(function (index) {
	  var tr =$(this); 
	  if(index>1){
		  temptitle.push($("td:eq(0)",tr).html());
		  tempdata1.push(parseFloat($("td:eq(1)",tr).html()));
		  tempdata2.push(parseFloat($("td:eq(4)",tr).html()));
		  tempdata3.push(parseFloat($("td:eq(7)",tr).html()));
	  }
	  });
	   temptitle=paixu(temptitle);
	   tempdata1=paixu(tempdata1);
	   tempdata2=paixu(tempdata2);
	   tempdata3=paixu(tempdata3); 
	  var cpi = new Highcharts.Chart({
			chart: {
				renderTo: 'h_gdp',
				defaultSeriesType: 'line',
				margin: [50, 170, 60, 80],
				min:'0'
			},
			yAxis: {
				title: {
					text: ''
				},
				labels: {
					style: {
						color: '#000000'
					}
				},					
				plotLines: [{
					value: 0,
					width: 1,
					color: '#808080'
				}]
			},
			tooltip: {
				formatter: function() {
		                return '<b>'+ this.series.name +'</b><br/>'+
						this.x +': '+ this.y +'';
				}
			},
			/*
			credits: {
	          enabled: true, //是否显示右下角LOGO
	          text: 'gjscn.com'
	   	},*/
			legend: {
				layout: 'vertical',
				style: {
					left: 'auto',
					bottom: 'auto',
					right: '10px',
					top: '40px'
				},
	       	itemStyle: {
	              color: "#000000"
	          }
			},	
			title: {
				text: '<b>\u5c45\u6c11\u6d88\u8d39\u4ef7\u683c\u6307\u6570(CPI)</b>',
				style: {
					margin: '10px 100px 0 0' // center it
				}
			},
			xAxis: {
				categories: 
					temptitle,
				labels: {
					rotation: -30,	align: 'right',	
					style: { font: 'normal 13px Verdana, sans-serif'}}
					},
				series: [
				    {name: '\u5168\u56fd\u5f53\u6708',data: tempdata1}, 
					{name: '\u57ce\u5e02\u5f53\u6708',data: tempdata2}, 
					{name: '\u519c\u6751\u5f53\u6708',data: tempdata3}
					]			
					});  
}




function ppi(){
	 var temptr=[],tempdata1=[],tempdata2=[],tempdata3=[],temptitle=[];
	  $("#data").find("tr").each(function (index) {
	  var tr =$(this); 
	  if(index>1){
		  temptitle.push($("td:eq(0)",tr).html());
		  tempdata1.push(parseFloat($("td:eq(1)",tr).html()));
		  tempdata2.push(parseFloat($("td:eq(3)",tr).html())); 
	  }
	  });
	   temptitle=paixu(temptitle);
	   tempdata1=paixu(tempdata1);
	   tempdata2=paixu(tempdata2); 
	  var cpi = new Highcharts.Chart({
			chart: {
				renderTo: 'h_gdp',
				defaultSeriesType: 'line',
				margin: [50, 170, 60, 80],
				min:'0'
			},
			yAxis: {
				title: {
					text: ''
				},
				labels: {
					style: {
						color: '#000000'
					}
				},					
				plotLines: [{
					value: 0,
					width: 1,
					color: '#808080'
				}]
			},
			tooltip: {
				formatter: function() {
		                return '<b>'+ this.series.name +'</b><br/>'+
						this.x +': '+ this.y +'';
				}
			},
			/*
			credits: {
	          enabled: true, //是否显示右下角LOGO
	          text: 'gjscn.com'
	   	},*/
			legend: {
				layout: 'vertical',
				style: {
					left: 'auto',
					bottom: 'auto',
					right: '10px',
					top: '40px'
				},
	       	itemStyle: {
	              color: "#000000"
	          }
			},	
			title: {
				text: '<b>'+$("#title").html()+'</b>',
				style: {
					margin: '10px 100px 0 0' // center it
				}
			},
			xAxis: {
				categories: 
					temptitle,
				labels: {
					rotation: -30,	align: 'right',	
					style: { font: 'normal 13px Verdana, sans-serif'}}
					},
				series: [
				    {name: '当月',data: tempdata1}, 
					{name: '累计',data: tempdata2}
					]			
					});  
}
function gdp(){
	var temptr=[],tempdata1=[],tempdata2=[],tempdata3=[],temptitle=[];
	  $("#data").find("tr").each(function (index) {
	  var tr =$(this); 
	  if(index>1){
		  temptitle.push($("td:eq(0)",tr).html());
		  tempdata1.push(parseFloat($("td:eq(1)",tr).html()));
		  tempdata2.push(parseFloat($("td:eq(3)",tr).html()));
		  tempdata3.push(parseFloat($("td:eq(5)",tr).html()));
	  }
	  });
	   temptitle=paixu(temptitle);
	   tempdata1=paixu(tempdata1);
	   tempdata2=paixu(tempdata2);
	   tempdata3=paixu(tempdata3); 
	  var gdp = new Highcharts.Chart({
			chart: {
				renderTo: 'h_gdp',
				defaultSeriesType: 'line',
				margin: [50, 170, 60, 80],
				min:'0'
			},
			yAxis: {
				title: {
					text: ''
				},
				labels: {
					style: {
						color: '#000000'
					}
				},					
				plotLines: [{
					value: 0,
					width: 1,
					color: '#808080'
				}]
			},
			tooltip: {
				formatter: function() {
		                return '<b>'+ this.series.name +'</b><br/>'+
						this.x +': '+ this.y +'';
				}
			},
			/*
			credits: {
	          enabled: true, //是否显示右下角LOGO
	          text: 'gjscn.com'
	   	},*/
			legend: {
				layout: 'vertical',
				style: {
					left: 'auto',
					bottom: 'auto',
					right: '10px',
					top: '40px'
				},
	       	itemStyle: {
	              color: "#000000"
	          }
			},	
			title: {
				text: '<b>\u56fd\u5185\u751f\u4ea7\u603b\u503c(GDP)(\u4ebf\u5143)</b>',
				style: {
					margin: '10px 100px 0 0' // center it
				}
			},
			xAxis: {
				categories: 
					temptitle,
				labels: {
					rotation: -30,	align: 'right',	
					style: { font: 'normal 13px Verdana, sans-serif'}}
					},
				series: [
				    {name: '\u56fd\u5185\u751f\u4ea7\u603b\u503c\u7edd\u5bf9\u503c',data: tempdata1}, 
					{name: '\u7b2c\u4e00\u4ea7\u4e1a\u7edd\u5bf9\u503c',data: tempdata2}, 
					{name: '\u7b2c\u4e8c\u4ea7\u4e1a\u7edd\u5bf9\u503c',data: tempdata3}, 
					{name: '\u7b2c\u4e09\u4ea7\u4e1a\u7edd\u5bf9\u503c',data: tempdata3}
					]			
					});  	 
}

function draw2(rowindexmin,arrcolumn,namearr,rowindex){
	 var temptr=[],tempdata1=[],tempdata2=[],tempdata3=[],temptitle=[],ssarr=[];
	 if(!rowindex)rowindex=0;
	  $("#data").find("tr").each(function (index) {
	  var tr =$(this); 
	  if(index>rowindexmin){ 
		  temptitle.push($("td:eq("+rowindex+")",tr).html());
		  tempdata1.push(parseFloat($("td:eq("+arrcolumn[0]+")",tr).html()));
		  tempdata2.push(parseFloat($("td:eq("+arrcolumn[1]+")",tr).html())); 
	  }
	  }); 	
	   temptitle=paixu(temptitle);
	   tempdata1=paixu(tempdata1);
	   tempdata2=paixu(tempdata2); 
	ssarr=[
		 {name: namearr[0],data: tempdata1}, 
		 {name: namearr[1],data: tempdata2}
	 ];
	  var cpi = new Highcharts.Chart({
			chart: {
				renderTo: 'h_gdp',
				defaultSeriesType: 'line',
				margin: [50, 170, 60, 80],
				min:'0'
			},
			yAxis: {
				title: {
					text: ''
				},
				labels: {
					style: {
						color: '#000000'
					}
				},					
				plotLines: [{
					value: 0,
					width: 1,
					color: '#808080'
				}]
			},
			tooltip: {
				formatter: function() {
		                return '<b>'+ this.series.name +'</b><br/>'+
						this.x +': '+ this.y +'';
				}
			},
			/*
			credits: {
	          enabled: true, //是否显示右下角LOGO
	          text: 'gjscn.com'
	   	},*/
			legend: {
				layout: 'vertical',
				style: {
					left: 'auto',
					bottom: 'auto',
					right: '10px',
					top: '40px'
				},
	       	itemStyle: {
	              color: "#000000"
	          }
			},	
			title: {
				text: '<b>'+$("#title").html()+'</b>',
				style: {
					margin: '10px 100px 0 0' // center it
				}
			},
			xAxis: {
				categories: 
					temptitle,
				labels: {
					rotation: -30,	align: 'right',	
					style: { font: 'normal 13px Verdana, sans-serif'}}
					},
				series: ssarr			
					});  
}


function draw3(rowindexmin,arrcolumn,namearr){
	 var temptr=[],tempdata1=[],tempdata2=[],tempdata3=[],temptitle=[],ssarr=[];
	  $("#data").find("tr").each(function (index) {
	  var tr =$(this); 
	  if(index>rowindexmin){ 
		  temptitle.push($("td:eq(0)",tr).html());
		  tempdata1.push(parseFloat($("td:eq("+arrcolumn[0]+")",tr).html()));
		  tempdata2.push(parseFloat($("td:eq("+arrcolumn[1]+")",tr).html())); 
		  tempdata3.push(parseFloat($("td:eq("+arrcolumn[2]+")",tr).html()));
	  }
	  }); 	
	   temptitle=paixu(temptitle);
	   tempdata1=paixu(tempdata1);
	   tempdata2=paixu(tempdata2); 
	   tempdata3=paixu(tempdata3);
	ssarr=[
		 {name: namearr[0],data: tempdata1}, 
		 {name: namearr[1],data: tempdata2},
		 {name: namearr[2],data: tempdata3}
	 ];
	  var cpi = new Highcharts.Chart({
			chart: {
				renderTo: 'h_gdp',
				defaultSeriesType: 'line',
				margin: [50, 170, 60, 80],
				min:'0'
			},
			yAxis: {
				title: {
					text: ''
				},
				labels: {
					style: {
						color: '#000000'
					}
				},					
				plotLines: [{
					value: 0,
					width: 1,
					color: '#808080'
				}]
			},
			tooltip: {
				formatter: function() {
		                return '<b>'+ this.series.name +'</b><br/>'+
						this.x +': '+ this.y +'';
				}
			},
			/*
			credits: {
	          enabled: true, //是否显示右下角LOGO
	          text: 'gjscn.com'
	   	},*/
			legend: {
				layout: 'vertical',
				style: {
					left: 'auto',
					bottom: 'auto',
					right: '10px',
					top: '40px'
				},
	       	itemStyle: {
	              color: "#000000"
	          }
			},	
			title: {
				text: '<b>'+$("#title").html()+'</b>',
				style: {
					margin: '10px 100px 0 0' // center it
				}
			},
			xAxis: {
				categories: 
					temptitle,
				labels: {
					rotation: -30,	align: 'right',	
					style: { font: 'normal 13px Verdana, sans-serif'}}
					},
				series: ssarr			
					});  
}
function drawx(){
	$.getJSON('http://app.cnfol.com/dataapi/index.php/welcome/table/XFXSS/12/12/1/time/desc/id_11=1%20or%20id_11=2/0/1/data/hgsy?jsoncallback=?',function(json){
		$("#data").html(json);	
		 var temptr=[],tempdata1=[],tempdata2=[],tempdata3=[],tempdata4=[],temptitle=[],ssarr=[];
		  $("#data").find("tr").each(function (index) {
		  var tr =$(this); 
		  if(index>1){ 
			  if(index % 2==0){
				  tempdata1.push(parseFloat($("td:eq(2)",tr).html()));
				  temptitle.push($("td:eq(0)",tr).html());
			  }else
				  tempdata2.push(parseFloat($("td:eq(1)",tr).html())); 
		  }
		  }); 	
		   temptitle=paixu(temptitle);
		   tempdata1=paixu(tempdata1);
		   tempdata2=paixu(tempdata2); 
		ssarr=[
			 {name: '北京',data: tempdata2}, 
			 {name: '上海',data: tempdata1}
		 ];
		  var cpi = new Highcharts.Chart({
				chart: {
					renderTo: 'h_gdp',
					defaultSeriesType: 'line',
					margin: [50, 170, 60, 80],
					min:'0'
				},
				yAxis: {
					title: {
						text: ''
					},
					labels: {
						style: {
							color: '#000000'
						}
					},					
					plotLines: [{
						value: 0,
						width: 1,
						color: '#808080'
					}]
				},
				tooltip: {
					formatter: function() {
			                return '<b>'+ this.series.name +'</b><br/>'+
							this.x +': '+ this.y +'';
					}
				},
				/*
				credits: {
		          enabled: true, //是否显示右下角LOGO
		          text: 'gjscn.com'
		   	},*/
				legend: {
					layout: 'vertical',
					style: {
						left: 'auto',
						bottom: 'auto',
						right: '10px',
						top: '40px'
					},
		       	itemStyle: {
		              color: "#000000"
		          }
				},	
				title: {
					text: '<b>'+$("#title").html()+'</b>',
					style: {
						margin: '10px 100px 0 0' // center it
					}
				},
				xAxis: {
					categories: 
						temptitle,
					labels: {
						rotation: -30,	align: 'right',	
						style: { font: 'normal 13px Verdana, sans-serif'}}
						},
					series: ssarr			
						});  
		});
	
}
function draw4(rowindexmin,arrcolumn,namearr){
	 var temptr=[],tempdata1=[],tempdata2=[],tempdata3=[],tempdata4=[],temptitle=[],ssarr=[];
	  $("#data").find("tr").each(function (index) {
	  var tr =$(this); 
	  if(index>rowindexmin){ 
		  temptitle.push($("td:eq(0)",tr).html());
		  tempdata1.push(parseFloat($("td:eq("+arrcolumn[0]+")",tr).html()));
		  tempdata2.push(parseFloat($("td:eq("+arrcolumn[1]+")",tr).html())); 
		  tempdata3.push(parseFloat($("td:eq("+arrcolumn[2]+")",tr).html()));
		  tempdata4.push(parseFloat($("td:eq("+arrcolumn[3]+")",tr).html()));
	  }
	  }); 	
	   temptitle=paixu(temptitle);
	   tempdata1=paixu(tempdata1);
	   tempdata2=paixu(tempdata2); 
	   tempdata3=paixu(tempdata3);
	   tempdata4=paixu(tempdata4);
	ssarr=[
		 {name: namearr[0],data: tempdata1}, 
		 {name: namearr[1],data: tempdata2},
		 {name: namearr[2],data: tempdata3},
		 {name: namearr[3],data: tempdata4}
	 ];
	  var cpi = new Highcharts.Chart({
			chart: {
				renderTo: 'h_gdp',
				defaultSeriesType: 'line',
				margin: [50, 170, 60, 80],
				min:'0'
			},
			yAxis: {
				title: {
					text: ''
				},
				labels: {
					style: {
						color: '#000000'
					}
				},					
				plotLines: [{
					value: 0,
					width: 1,
					color: '#808080'
				}]
			},
			tooltip: {
				formatter: function() {
		                return '<b>'+ this.series.name +'</b><br/>'+
						this.x +': '+ this.y +'';
				}
			},
			/*
			credits: {
	          enabled: true, //是否显示右下角LOGO
	          text: 'gjscn.com'
	   	},*/
			legend: {
				layout: 'vertical',
				style: {
					left: 'auto',
					bottom: 'auto',
					right: '10px',
					top: '40px'
				},
	       	itemStyle: {
	              color: "#000000"
	          }
			},	
			title: {
				text: '<b>'+$("#title").html()+'</b>',
				style: {
					margin: '10px 100px 0 0' // center it
				}
			},
			xAxis: {
				categories: 
					temptitle,
				labels: {
					rotation: -30,	align: 'right',	
					style: { font: 'normal 13px Verdana, sans-serif'}}
					},
				series: ssarr			
					});  
}



function draw1(rowindexmin,arrcolumn,namearr){
	 var temptr=[],tempdata1=[],tempdata2=[],tempdata3=[],tempdata4=[],temptitle=[],ssarr=[];
	  $("#data").find("tr").each(function (index) {
	  var tr =$(this); 
	  if(index>rowindexmin){ 
		  temptitle.push($("td:eq(0)",tr).html());
		  tempdata1.push(parseFloat($("td:eq("+arrcolumn[0]+")",tr).html()));
	  }
	  }); 	
	   temptitle=paixu(temptitle);
	   tempdata1=paixu(tempdata1);
	  
	ssarr=[
		 {name: namearr[0],data: tempdata1}
	 ];
	  var cpi = new Highcharts.Chart({
			chart: {
				renderTo: 'h_gdp',
				defaultSeriesType: 'line',
				margin: [50, 170, 60, 80],
				min:'0'
			},
			yAxis: {
				title: {
					text: ''
				},
				labels: {
					style: {
						color: '#000000'
					}
				},					
				plotLines: [{
					value: 0,
					width: 1,
					color: '#808080'
				}]
			},
			tooltip: {
				formatter: function() {
		                return '<b>'+ this.series.name +'</b><br/>'+
						this.x +': '+ this.y +'';
				}
			},
			/*
			credits: {
	          enabled: true, //是否显示右下角LOGO
	          text: 'gjscn.com'
	   	},*/
			legend: {
				layout: 'vertical',
				style: {
					left: 'auto',
					bottom: 'auto',
					right: '10px',
					top: '40px'
				},
	       	itemStyle: {
	              color: "#000000"
	          }
			},	
			title: {
				text: '<b>'+$("#title").html()+'</b>',
				style: {
					margin: '10px 100px 0 0' // center it
				}
			},
			xAxis: {
				categories: 
					temptitle,
				labels: {
					rotation: -30,	align: 'right',	
					style: { font: 'normal 13px Verdana, sans-serif'}}
					},
				series: ssarr			
					});  
}
function _GET(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return unescape(r[2]); return null;
    }
//id 为 GDP等  ct是ID  mon是周期 gs取的个数
function getData(id,gs){
id=id.toUpperCase();
$("#title").html(datalist[id].title);
$(".DataTxt").html(datalist[id].content);
if(id=='XFXSS')
	{
	drawx();
	return;
	}
var mon='Enddatedate';
var ct='30';
if(!gs)gs='12';
switch(id){
case 'GDP':mon='Enddatedate';
ct='30';
break;
case 'CPI':mon='month';
ct='27';
break;
case 'PPI':mon='month';
ct=29;
break;
case 'PMI':mon='month';
ct=31;
break;
case 'GDSC':mon='month';
ct=32;
break;
case 'FXSS':mon='month';
ct=9;
break;
case 'XFXSS':mon='time';
ct=12;
break;
case 'GYSD':mon='month';
ct=34;
break;
case 'QYXX':mon='Enddatedate';
ct=33;
break;
case 'QYZP':mon='month';
ct=36;
break;
case 'CCI':mon='month';
ct=37;
break;
case 'XFP':mon='month';
ct=35;
break;
case 'HGJCK':mon='month';
ct=26;
break;
case 'HJWH':mon='month';
ct=24;
break;
case 'FDI':mon='month';
ct=23;
break;
case 'GPJYTJ':mon='month';
ct=25;
break;
case 'GPZHTJ':mon='Statisticalstartdate';
ct=13;
break;
case 'CZSR':mon='month';
ct=22;
break;
case 'SSSR':mon='id';
ct=21;
break;
case 'XZXD':mon='month';
ct=20;
break;
case 'CJLL':mon='month';
ct=19;
break;
case 'WBCK':mon='month';
ct=18;
break;
case 'WBDK':mon='month';
ct=17;
break;
case 'HBGYL':mon='month';
ct=28;
break;
case 'CKZBJ':mon='Publicationtime';
ct=16;
break;
case 'YHLL':mon='shangtiaodate';
ct=15;
break;
case 'CPY':mon='date';
ct=39;
break;
}	 
idd=id+'/'+ct+'/';
$.getJSON('http://app.cnfol.com/dataapi/index.php/welcome/table/'+idd+gs+'/1/'+mon+'/desc/1/0/1/data/hgsy?jsoncallback=?',
 function(json){
  $("#data").html(json);
  switch(id){
  case 'GDP':
	  draw4(1,[1,3,5,7],['国内生产总值绝对值','第一产业绝对值','第二产业绝对值','第三产业绝对值']);
  break;
  case 'CPI': 
	  draw3(1,[1,4,7],['全国当月','城市当月','农村当月']);
  break; 
  case 'PPI':
	  draw2(0,[1,3],['当月','累计']);
	  break;
  case 'PMI':
	  draw2(1,[1,3],['制造业','非制造业']);
	  break;
  case 'FXSS':
	  draw3(1,[1,3,5],['国房景气指数','土地开发面积指数','销售价格指数']);
	  break; 
  case 'GYSD':
	  draw2(0,[1,2],['同比增长','累计增长']);
	  break;
  case 'QYXX':
	  draw2(1,[1,4],['企业景气指数','企业家信心指数']);
	  break;
  case 'QYXX':
	  draw2(1,[1,3],['制造业','非制造业']);
	  break;
  case 'QYZP':
	  draw4(0,[1,2,3,4],['总指数','农产品','矿产品','煤油电']);
	  break;	
  case 'CCI':
	  draw3(0,[1,2,3],['消费者预期指数','消费者满意指数','消费者信心指数']);
	  break;
  case 'XFP':
	  draw1(0,[1],['当月(亿元)']);
	  break;
  case 'HGJCK':
	  draw2(1,[1,4],['当月出口额(亿美元)','当月进口额(亿美元)']);
	  break;
  case 'HJWH':
	  draw2(1,[1,4],['国家外汇储备（亿美元）','黄金储备（万盎司）']);
	  break;
  case 'FDI':
	  draw1(1,[1],['当月(亿美元)']);
	  break;
  case 'GPJYTJ':
	  draw2(1,[5,6],['上海成交金额(亿元)','深圳成交金额(亿元)']);
	  break;
  case 'GPZHTJ':
	  draw2(1,[3,4],['上海新增账户数(户)','深圳新增账户数(户)']);
	  break;
  case 'CZSR':
	  draw1(0,[1],['当月(亿元)']);
	  break;
  case 'SSSR':
	  draw1(0,[1],['税收收入合计（亿元）']);
	  break;
  case 'XZXD': 
	  draw1(0,[1],['当月(亿元)']);
	  break;
  case 'CJLL':
	  draw1(0,[1],['当月(%)']);
	  break;
  case 'WBCK':
	  draw1(0,[1],['当月(亿元)']);
	  break;
  case 'WBDK':
	  draw1(0,[1],['当月(亿元)']);
	  break;
  case 'HBGYL':
	  draw3(1,[3,6,9],['M2增长(%)','M1增长(%)','M0增长(%)']);
	  break;
  case 'CKZBJ':
	  draw2(1,[3,5],['大型金融机构','中小金融机构'],1);
	  break;
  case 'YHLL':
	  draw2(1,[2,5],['存款基准利率','贷款基准利率']);
	  break;
  case 'CPY':
	  draw2(0,[1,2],['汽油调整价格(元/吨)','柴油调整价格(元/吨)']);
	  break;
  }	 
});
}